summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@open-infrastructure.net>2016-03-12 06:18:35 +0000
committerDaniel Baumann <daniel.baumann@open-infrastructure.net>2016-03-31 14:30:15 +0000
commit030fdd00abcece474ce2b2eb060f230738a944ec (patch)
tree79af69c0067bb5413d23431dc850e224e3fe36cc /bin
parentAdding native ARM architecture support in container start command. (diff)
downloadcompute-tools-030fdd00abcece474ce2b2eb060f230738a944ec.tar.xz
compute-tools-030fdd00abcece474ce2b2eb060f230738a944ec.zip
Adding container-shell program.
Signed-off-by: Daniel Baumann <daniel.baumann@open-infrastructure.net>
Diffstat (limited to 'bin')
l---------bin/cntsh1
-rwxr-xr-xbin/container-shell93
2 files changed, 94 insertions, 0 deletions
diff --git a/bin/cntsh b/bin/cntsh
new file mode 120000
index 0000000..38c4486
--- /dev/null
+++ b/bin/cntsh
@@ -0,0 +1 @@
+container-shell \ No newline at end of file
diff --git a/bin/container-shell b/bin/container-shell
new file mode 100755
index 0000000..a25c5f0
--- /dev/null
+++ b/bin/container-shell
@@ -0,0 +1,93 @@
+#!/bin/sh
+
+# Open Infrastructure: container-tools
+# Copyright (C) 2014-2016 Daniel Baumann <daniel.baumann@open-infrastructure.net>
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+set -e
+
+SOFTWARE="container-tools"
+PROGRAM="container"
+
+COMMAND="$(basename ${0})"
+
+Usage ()
+{
+ echo "Usage: ${PROGRAM}-shell" >&2
+ exit 1
+}
+
+Shell ()
+{
+ COMMAND="${1}"
+
+ if [ -z "${COMMAND}" ]
+ then
+ return
+ fi
+
+ shift 1
+
+ OPTIONS="${@}"
+
+ case "${COMMAND}" in
+ exit|logout|quit)
+ exit 0
+ ;;
+
+ help)
+ case "${OPTIONS}" in
+ "")
+ echo
+ echo "The following ${PROGRAM} commands are available:"
+
+ cd "/usr/lib/${SOFTWARE}/${PROGRAM}"
+ ls
+ cd "${OLDPWD}"
+
+ return
+ ;;
+
+ *)
+ man container-${1}
+
+ return
+ ;;
+ esac
+ ;;
+ esac
+
+ if [ ! -e "/usr/lib/${SOFTWARE}/${PROGRAM}/${COMMAND}" ]
+ then
+ echo "'${COMMAND}': no such ${PROGRAM} command" >&2
+ return
+ else
+ "/usr/lib/${SOFTWARE}/${PROGRAM}/${COMMAND}" "${OPTIONS}" || true
+ fi
+}
+
+trap 'echo' EXIT HUP INT QUIT TERM
+
+echo "${PROGRAM}-shell $(${PROGRAM} version)"
+echo "Type \"help\" for more information."
+
+while true
+do
+ echo
+ echo -n "${PROGRAM}: "
+ read CMDLINE
+
+ Shell ${CMDLINE}
+done